Module
Contents
Index 🔎︎

# GoTo Statement

Continues program execution within a Sub or Function at the procedure line indicated by a label.

## Syntax:

see Parameters

## Parameters:

    Sub/Function

    statement block

     Label1

    Label2:

    statement block

    Exit Sub

    Label1:

    statement block

    GoTo Label2

    End Sub/Function

Use the GoTo statement to instruct LibreOffice Basic to continue program execution at another place within the procedure. The position must be indicated by a label. To set a label, assign a name and then end it with a colon (":").

You cannot use the GoTo statement to jump out of a Sub or Function.

## Example:

see Parameters